<?php
//---------------کیبورد------------------//
$key['price'] = "📊 قیمت خدمات";
$key['order'] = "🛍 ثبت سفارش";
$key['info'] = "👤 اطلاعات حساب";
$key['payment'] = "💳 شارژ حساب";
$key['support'] = "📬 پشتیبانی";
$key['status'] = "💾 پیگیری";
$key['free'] = "💎 شارژ رایگان";
$key['share_contact'] = "⏳(اشتراک گذاری) شماره⏳";
$key['back'] = "🔙";
$key['back_to_shop'] = "برگشت به منوی قبل";
$key['join_channel'] = "ورود به کانال";
$key['ozv'] = "عضو شدم";
$key['payment_offline'] = "💳 کارت به کارت";
$key['payment_online'] = "💸 پرداخت آنلاین";
$key['info_referral'] = "📋 توضیحات زیرمجموعه گیری";
$key['change_gift_balance'] = "💰 تبدیل درآمد به موجودی";
$key['withdraw_balance'] = "💴 برداشت درآمد";
$key['balance'] = "🔐 موجودی";
$key['status_order'] = "💾 پیگیری سفارش";
$key['last_order'] = "10 سفارش اخیر";
$key['last_payment'] = "10 پرداخت اخیر";
$key['close_key'] = "بستن لیست";
$key['product'] = "محصول";
$key['list_price'] = "قیمت";
$key['back_price'] = "برگشت";
$key['cancel_order'] = "لغو";
$key['ok_order'] = "تایید";
$key['start_bot'] = "🛍 ورود مستقیم به ربات 🛍";
$key['not_product'] = "محصولی برای نمایش وجود ندارد";
$key['status_order_inline'] = "پیگیری سفارش";
$key['fast_support'] = 'پاسخ سریع';
//-------------------------------------------------//
class media
{
    function keyboards($keys)
    {
        global $key;
        switch ($keys[0]) {
            case 'home':
                if ($keys[1] == 1) {
                    $t = ['keyboard' => [
                        [['text' => $key['price']], ['text' => $key['order']]],
                        [['text' => $key['info']], ['text' => $key['payment']]],
                        [['text' => $key['support']], ['text' => $key['status']], ['text' => $key['free']]],
                    ]];
                } else {
                    $t = ['keyboard' => [
                        [['text' => $key['price']], ['text' => $key['order']]],
                        [['text' => $key['info']], ['text' => $key['payment']]],
                        [['text' => $key['support']], ['text' => $key['status']]],
                    ]];
                }
                break;
            case 'request_contact':
                $t = ['keyboard' => [
                    [['text' => $key['share_contact'], 'request_contact' => true]],
                    [['text' => $key['back']]],
                ]];
                break;
            case 'back':
                $t = [
                    'keyboard' => [
                        [['text' => $key['back']]],
                    ]
                ];
                break;
            case 'lock_channel':
                $channel = $keys[1];
                if (isset($keys[2])) {
                    $newid = $keys[2];
                    $t = ['inline_keyboard' => [
                        [['text' => $key['join_channel'], 'url' => "https://t.me/" . $channel]],
                        [['text' => $key['ozv'], 'callback_data' => 'ref_join' . $newid]]
                    ]];
                } else {
                    $t = ['inline_keyboard' => [
                        [['text' => $key['join_channel'], 'url' => "https://t.me/" . $channel]],
                        [['text' => $key['ozv'], 'callback_data' => 'ozv']]
                    ]];
                }
                break;
            case 'payment':
                if ($keys[1] == 1) {
                    $t = [
                        'keyboard' => [
                            [['text' => $key['payment_offline']], ['text' => $key['payment_online']]],
                            [['text' => $key['back']]],
                        ]
                    ];
                } elseif ($keys[1] == 2) {
                    $t = [
                        'keyboard' => [
                            [['text' => $key['payment_online']], ['text' => $key['support']]],
                            [['text' => $key['back']]],
                        ]
                    ];
                } else {
                    $t = [
                        'keyboard' => [
                            [['text' => $key['payment_offline']]],
                            [['text' => $key['back']]],
                        ]
                    ];
                }
                break;
            case 'gift':
                $t = [
                    'keyboard' => [
                        [['text' => $key['balance']], ['text' => $key['info_referral']]],
                        [['text' => $key['withdraw_balance']], ['text' => $key['change_gift_balance']]],
                        [['text' => $key['back']]],
                    ]
                ];
                break;
            case 'status':
                $t = [
                    'keyboard' => [
                        [['text' => $key['status_order']]],
                        [['text' => $key['last_order']], ['text' => $key['last_payment']]],
                        [['text' => $key['back']]],
                    ]
                ];
                break;
            default:
                $t = ['remove_keyboard' => true];
                break;
        }
        if (isset($t['keyboard'])) {
            $t = array_merge(array_slice($t, 0), ['resize_keyboard' => true], array_slice($t, 0));
            return $t;
        } else {
            return $t;
        }
    }
    function text($tx)
    {
        switch ($tx[0]) {
            case 'back':
                $starttext = $tx[1];
                $t = $starttext;
                break;
            case 'off_all':
                $t = "این بخش موقتا غیرفعال است.";
                break;
            case 'ban':
                $t = "شما از ربات بن شده اید اگر فکر میکنید اشتباه شده است با پشتیبانی ارتباط برقرار کنید";
                break;
            case 'fyk':
                $t = "این دکمه نمایشی است";
                break;
            case 'close':
                $channel = $tx[1];
                $t = "بسته شد. \n@" . $channel;
                break;
            case 'not_join':
                $t = "هنوز عضو کانال نشده اید";
                break;
            case 'joined':
                $t = "عضویت شما تایید شد";
                break;
            case 'lock_channel':
                $channel = $tx[1];
                $t = "❌ برای استفاده از ربات ابتدا باید عضو کانال ما شوید \n@{$channel}\n بعد از عضویت در کانال بر روی دکمه عضو شدم کلیک کنید.";
                break;
            case 'gift_start':
                $gift = $tx[1];
                $t = "کاربر گرامی مبلغ $gift تومان به عنوان هدیه اولین ورود به ربات به شما تعلق گرفت.";
                break;
            case 'gift':
                if ($tx[1] == 1) {
                    $Porsant    = $tx[2];
                    $freebalance = $tx[3];
                    $t = "🌟 تبریک ! یک کاربر با استفاده از لینک دعوت شما وارد ربات شده و $freebalance تومان به موجودی شما افزوده شد.\n◾️همچنین  $Porsant درصد از هر خرید زیرمجموعه تان به شما تعلق میگیرد.";
                } elseif ($tx[1] == 2) {
                    $Porsant    = $tx[2];
                    $t = "🌟 تبریک ! یک کاربر با استفاده از لینک دعوت شما وارد ربات شده است.\nبا هر شارژ حساب کاربر برای شما $Porsant درصد از مبلغ شارژ حساب به شما تعلق میگیرد.";
                } else {
                    $freebalance = $tx[2];
                    $t = "🌟 تبریک ! یک کاربر با استفاده از لینک دعوت شما وارد ربات شده و $freebalance تومان به موجودی شما افزوده شد.";
                }
                break;
            case 'referral_authentication':
                $t = "برای افزایش امنیت ربات و جلوگیری از زیرمجموعه گیری فیک فقط کاربران ایران مجاز به استفاده از ربات میباشد.";
                break;
            case 'is_member':
                $t = "شما قبلا عضو ربات بودید و نمیتوانید زیرمجموعه کسی شوید";
                break;
            case 'not_new_id':
                $newid = $tx[1];
                $t = "هیچ کاربری با ایدی $newid یافت نشد.";
                break;
            case 'self_referral':
                $t = "شما نمیتوانید زیر مجموعه خود شوید";
                break;
            case 'wrong_new_id':
                $t = "ایدی معرف اشتباه است";
                break;
            case 'referral_authentication_sms':
                $t = "یک پیامک حاوی کد فعالسازی به شماره ارسالی\nفرستاده شده لطفا کد را وارد کنید :";
                break;
            case 'again_referral_authentication':
                $t = "لطفا شماره خود را دوباره وارد کنید";
                break;
            case 'not_iran_contact':
                $t = "🔸تنها کاربران به شماره ایران میتوانند حساب خود را شارژ کنند!
🔹 شماره اکانت شما مجازی میباشد و شما مورد تایید نمیباشید!

📌لطفا با اکانت حقیقی خود به شماره ایران اقدام به استفاده از ربات و شارژ حساب خود کنید.";
                break;
            case 'only_key_use_contact':
                $t = "لطفا با استفاده از دکمه زیر اقدام به ثبت شماره خود نمایید👇🏻";
                break;
            case 'wrong_code_referral_authentication':
                $t = "کد وارد شده صحیح نمیباشد";
                break;
            case 'int_code_referral_authentication':
                $t = "لطفا فقط عدد انگلیسی وارد کنید";
                break;
            case 'info':
                if ($tx[1] == 1) {
                    // defult no gift
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];
                    $balance = $tx[6];
                    $number_order = $tx[7];
                    $amount_paid = $tx[8];
                    $amount_spent = $tx[9];
                    $discount = $tx[10];
                    $discount_tx = null;
                    if ($discount !== '0') {
                        $discount_tx = "\nمیزان تخفیف برای شما : $discount\n";
                    }
                    $join_date = jdate('Y/m/d', $tx[11]);
                    $idbot = $tx[12];
                    $t = "👤 نام : <a href ='tg://user?id={$fid}'>$first_name $last_name</a>
👤 شناسه : <code>{$fid}</code>
💰 موجودی : <code>{$balance}</code>
🛍 تعداد سفارشات : <code>{$number_order}</code>
🛍 مجموع پرداخت شما : <code>{$amount_paid}</code>
🛍 مجموع خرید شما : <code>{$amount_spent}</code>
$discount_tx
⏳ تاریخ عضویت : <code>{$join_date}</code>

@{$idbot}";
                } elseif ($tx[1] == 2) {
                    // comission gift refrral
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];
                    $balance = $tx[6];
                    $number_order = $tx[7];
                    $amount_paid = $tx[8];
                    $amount_spent = $tx[9];
                    $referral_id = $tx[10];
                    $referral = $tx[11];
                    $gift = $tx[12];
                    $gift_one = $tx[13];
                    $gift_payment = $tx[14];
                    $discount = $tx[15];
                    $discount_tx = null;
                    if ($discount !== '0') {
                        $discount_tx = "\nمیزان تخفیف برای شما : $discount\n";
                    }
                    $join_date = jdate('Y/m/d', $tx[16]);
                    $idbot = $tx[17];
                    $t = "👤 نام : <a href ='tg://user?id=$fid'>$first_name $last_name</a>
👤 شناسه : <code>$fid</code>
💰 موجودی : <code>{$balance}</code>
🛍 تعداد سفارشات : <code>{$number_order}</code>
🛍 مجموع پرداخت شما : <code>{$amount_paid}</code>
🛍 مجموع خرید شما : <code>{$amount_spent}</code>

💰 درآمد شما : <code>{$gift}</code>
💎 تعداد زیر مجموعه :  <code>{$referral}</code>
🛍 هدیه زیر مجموعه گیری : <code>{$gift_one}</code>
🛍 پورسانت خرید زیرمجموعه : <code>{$gift_payment}</code>
$discount_tx
⏳ تاریخ عضویت : <code>{$join_date}</code>

@{$idbot}";
                } elseif ($tx[1] == 3) {
                    // comission
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];
                    $balance = $tx[6];
                    $number_order = $tx[7];
                    $amount_paid = $tx[8];
                    $amount_spent = $tx[9];
                    $referral_id = $tx[10];
                    $referral = $tx[11];
                    $gift = $tx[12];
                    $gift_payment = $tx[13];
                    $discount = $tx[14];
                    $discount_tx = null;
                    if ($discount !== '0') {
                        $discount_tx = "\nمیزان تخفیف برای شما : $discount\n";
                    }
                    $join_date = jdate('Y/m/d', $tx[15]);
                    $idbot = $tx[16];
                    $t = "👤 نام : <a href ='tg://user?id={$fid}'>$first_name $last_name</a>
👤 شناسه : <code>{$fid}</code>
💰 موجودی : <code>{$balance}</code>
🛍 تعداد سفارشات : <code>{$number_order}</code>
🛍 مجموع پرداخت شما : <code>{$amount_paid}</code>
🛍 مجموع خرید شما : <code>{$amount_spent}</code>

💰 درآمد شما : <code>{$gift}</code>
💎 تعداد زیر مجموعه :  <code>{$referral}</code>
🛍 پورسانت خرید زیرمجموعه : <code>{$gift_payment}</code>
$discount_tx
⏳ تاریخ عضویت : <code>{$join_date}</code>

@{$idbot}";
                } elseif ($tx[1] == 4) {
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];
                    $balance = $tx[6];
                    $number_order = $tx[7];
                    $amount_paid = $tx[8];
                    $amount_spent = $tx[9];
                    $referral_id = $tx[10];
                    $referral = $tx[11];
                    $gift = $tx[12];
                    $gift_one = $tx[13];
                    $discount = $tx[14];
                    $discount_tx = null;
                    if ($discount !== '0') {
                        $discount_tx = "\nمیزان تخفیف برای شما : $discount\n";
                    }
                    $join_date = jdate('Y/m/d', $tx[15]);
                    $idbot = $tx[16];
                    $t = "👤 نام : <a href ='tg://user?id={$fid}'>$first_name $last_name</a>
👤 شناسه : <code>{$fid}</code>
💰 موجودی : <code>{$balance}</code>
🛍 تعداد سفارشات : <code>{$number_order}</code>
🛍 مجموع پرداخت شما : <code>{$amount_paid}</code>
🛍 مجموع خرید شما : <code>{$amount_spent}</code>

💰 درآمد شما : <code>{$gift}</code>
💎 تعداد زیر مجموعه :  <code>{$referral}</code>
🛍 هدیه زیر مجموعه گیری : <code>{$gift_one}</code>
$discount_tx
⏳ تاریخ عضویت : <code>{$join_date}</code>

@{$idbot}";
                }
                break;
            case 'support':
                $t = "📥 لطفا با در نظر گرفتن قوانین پیام خود را ارسال کنید :
✉️ پیام های رکیک و بی ربط باعث بلاک شدن شما از ربات میشود🚫";
                break;
            case 'pending_support':
                $t = "شما قبلا یک پیام ارسال کرده اید. تا زمانی که پاسخ ان را دریافت نکنید نمیتوانید دوباره پیامی را ارسال کنید❌
محض آنلاین شدن پشتیبانی جواب شما را خواهد داد . با تشکر از صبر شما❤";
                break;
            case 'ok_support':
                $t = "🔶پیام شما با موفقیت به پشتیبانی ارسال شد
لطفا منتظر جواب باشید🔷";
                break;
            case 'payment_authentication':
                $t = "🔒 در راستای افزایش امنیت در پرداخت ، شماره را خود را با استفاده از دکمه زیر برای ما ارسال نمایید.

❗️ ☎️ شماره شما نزد ما محفوظ است و امکان دسترسی به آن برای کسی مقدور نیست.";
                break;
            case 'payment_selection':
                $t = "لطفا روش پرداخت خود را انتخاب کنید :";
                break;
            case 'off_payment':
                $t = "بخش پرداخت موقتا غیرفعال شده است";
                break;
            case 'payment_amount':
                $mindeposit = $tx[1];
                $maxdeposit = $tx[2];
                $t = "✅ مبلغ مورد نظر را به تومان ارسال کنید. (حداقل $mindeposit و حداکثر $maxdeposit هزار تومان)";
                break;
            case 'link_payment':
                $t = "👇🏻👇🏻👇🏻لینک پرداخت👇🏻👇🏻👇🏻";
                break;
            case 'payment_key':
                $amount = $tx[1];
                $payment = $tx[2];
                $t = "$amount تومان | $payment";
                break;
            case 'payment_text':
                $fid = $tx[1];
                $balance = $tx[2];
                $code = $tx[3];
                $t = "🌐 » لینک پرداخت شما ساخته شد:

♻️ » پس از پرداخت وجه، اتوماتیک حساب شما شارژ می شود.

🏷 » شناسه : {$fid}
💳 » موجودی : {$balance} تومان
♻️ » شماره پیگیری : {$code}

✅ » لطفا روی دکمه زیر کلیک کنید👇";
                break;
            case 'payment_int':
                $t = "مبلغ وارد شده صحیح نمیباشد";
                break;
            case 'payment_mistake':
                $t = "مشکلی پیش آمده است دقایقی دیگر تلاش کنید";
                break;
            case 'payment_authentication_wrong_code':
                $t = "کد وارد شده صحیح نمیباشد";
                break;
            case 'payment_authentication_int':
                $t = "لطفا فقط عدد وارد کنید";
                break;
            case 'payment_authentication_send_sms':
                $t = "یک پیامک حاوی کد فعالسازی به شماره ارسالی\nفرستاده شده لطفا کد را وارد کنید :";
                break;
            case 'payment_authentication_send_sms_again':
                $t = "لطفا شماره خود را دوباره وارد کنید";
                break;
            case 'payment_authentication_just_key':
                $t = "لطفا با استفاده از دکمه زیر اقدام به ثبت شماره خود نمایید👇🏻";
                break;
            case 'payment_authentication_not_iran':
                $t = "🔸تنها کاربران به شماره ایران میتوانند حساب خود را شارژ کنند!
🔹 شماره اکانت شما مجازی میباشد و شما مورد تایید نمیباشید!

📌لطفا با اکانت حقیقی خود به شماره ایران اقدام به استفاده از ربات و شارژ حساب خود کنید.";
                break;
            case 'referral_text':
                if ($tx[1] == 1) {
                    $gift_refrral = $tx[2];
                    $commission = $tx[3];
                    $t = "🔺 بنر بالا حاوی لینک دعوت اختصاصی شما برای وروده به ربات است با اشتراک بنر برای گروه ها و دوستانتان موجودی جمع کنید.

◾️ با زیرمجموعه گیری به ازای هر دوست خود که دعوت میکنید {$gift_refrral} تومان هدیه میگیرد.
◾️  {$commission} درصد از هر شارژ حساب زیرمجموعه تان به شما تعلق میگیرد. ";
                } elseif ($tx[1] == 2) {

                    $gift_refrral = $tx[2];
                    $t = "🔺 بنر بالا حاوی لینک دعوت اختصاصی شما برای وروده به ربات است با اشتراک بنر برای گروه ها و دوستانتان موجودی جمع کنید.

◾️ با زیرمجموعه گیری به ازای هر دوست خود که دعوت میکنید {$gift_refrral} تومان هدیه میگیرد.";
                } else {

                    $commission = $tx[2];
                    $t = "🔺 بنر بالا حاوی لینک دعوت اختصاصی شما برای وروده به ربات است با اشتراک بنر برای گروه ها و دوستانتان موجودی جمع کنید.

◾️  {$commission} درصد از هر شارژ حساب زیرمجموعه تان به شما تعلق میگیرد. ";
                }
                break;
            case 'off_referral':
                $t = "این بخش غیرفعال میباشد";
                break;
            case 'info_referral':
                if ($tx[1] == 1) {
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];
                    $gift_one = $tx[6];
                    $gift_payment = $tx[7];
                    $referral = $tx[8];
                    $gift = $tx[9];
                    $gift_payment_id = $tx[10];
                    $idbot = $tx[11];
                    $t = "👤 نام : <a href ='tg://user?id={$fid}'>$first_name $last_name</a>
👤 شناسه : <code>{$fid}</code>

💰 درآمد شما : <code>{$gift}</code>
💰 هدیه مصرف شده : <code>$gift_payment_id</code>
💎 تعداد زیر مجموعه :  <code>{$referral}</code>
🛍 هدیه زیر مجموعه گیری : <code>{$gift_one}</code>
🛍 پورسانت خرید زیرمجموعه : <code>{$gift_payment}</code>

@$idbot";
                } elseif ($tx[1] == 2) {
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];
                    $gift_payment = $tx[6];
                    $referral = $tx[7];
                    $gift = $tx[8];
                    $gift_payment_id = $tx[9];
                    $idbot = $tx[10];
                    $t = "👤 نام : <a href ='tg://user?id={$fid}'>$first_name $last_name</a>
👤 شناسه : <code>{$fid}</code>

💰 درآمد شما : <code>{$gift}</code>
💰 هدیه مصرف شده : <code>$gift_payment_id</code>
💎 تعداد زیر مجموعه :  <code>{$referral}</code>
🛍 پورسانت خرید زیرمجموعه : <code>{$gift_payment}</code>

@$idbot";
                } elseif ($tx[1] == 2) {
                    $first_name = $tx[2];
                    $last_name = $tx[3];
                    $user_name = $tx[4];
                    $fid = $tx[5];

                    $gift_payment = $tx[6];
                    $referral = $tx[7];
                    $gift = $tx[8];
                    $gift_payment_id = $tx[9];
                    $idbot = $tx[10];
                    $t = "👤 نام : <a href ='tg://user?id={$fid}'>$first_name $last_name</a>
👤 شناسه : <code>{$fid}</code>

💰 درآمد شما : <code>{$gift}</code>
💰 هدیه مصرف شده : <code>$gift_payment_id</code>
💎 تعداد زیر مجموعه :  <code>{$referral}</code>
🛍 هدیه زیر مجموعه گیری : <code>{$gift_payment}</code>

@$idbot";
                }
                break;
            case 'amount_gift_balance':
                $min = $tx[1];
                $gift_balance = $tx[2];
                $t = "مبلغ مورد نظر خود را از $min الی {$gift_balance} وارد کنید";
                break;
            case 'min_gift_balance':
                $min = $tx[1];
                $t = "کمترین حد تبدیل $min تومان است";
                break;
            case 'ok_gift_balance':
                $amount = $tx[1];
                $t = "مبلغ {$amount} تومان به کیف پول شما انتقال داده شد";
                break;
            case 'amount_gift_balance_wrong':
                $min = $tx[1];
                $gift_balance = $tx[2];
                $t = "لطفا عددی از بازه $min الی {$gift_balance} وارد کنید";
                break;
            case 'gift_balance_int':
                $t = "لطفا یک مقدار عددی ارسال کنید";
                break;
            case 'amount_withdraw_balance':
                $min = $tx[1];
                $gift_balance = $tx[2];
                $t = "مبلغ مورد نظر خود را ارسال کنید از بازه $min تا {$gift_balance} به تومان ارسال کنید";
                break;
            case 'min_withdraw_balance':
                $min = $tx[1];
                $t = "کمترین حد برداشت $min تومان است";
                break;
            case 'amount_withdraw_balance_wrong':
                $min = $tx[1];
                $gift_balance = $tx[2];
                $t = "لطفا عددی بین بازه $min تا {$gift_balance} بفرستید";
                break;
            case 'info_withdraw_balance':
                $t = "اطلاعات کارت بانکی خود را بفرستید: 
شماره کارت - نام صاحب کارت - نام بانک";
                break;
            case 'ok_withdraw_balance':
                $code = $tx[1];
                $t = "درخواست شما ثبت شد\n\nکد پیگیری : $code";
                break;
            case 'error_withdraw_balance':
                $t = "با عرض پوزش مشکلی پیش آمده است مجددا تلاش کنید";
                break;
            case 'stutus':
                $t = "انتخاب کن";
                break;
            case 'last_payment_title':
                $t = "10 پرداخت اخیر شما:\n";
                break;
            case 'last_payment':
                if ($tx[1] == 'OK') {
                    // موفق
                    $stp = 'موفق';
                    $amount = $tx[2];
                    $tracking_code = $tx[3];
                    $code = $tx[4];
                    $date = jdate('Y/m/d - H:i', $tx[5]);
                    $t = "$stp | مبلغ : {$amount} تومان\nشماره پیگیری درگاه : {$tracking_code} | شماره پیگیری ربات : {$code}\n{$date}\n-------\n";
                } elseif ($tx[1] == 'not_payid') {
                    // پرداخت نشده است
                    $stp = 'پرداخت نشده است';
                    $amount = $tx[2];
                    $code = $tx[3];
                    $date = jdate('Y/m/d - H:i', $tx[4]);
                    $t = "$stp | مبلغ : {$amount} تومان\nشماره پیگیری ربات : {$code}\n{$date}\n-------\n";
                } else {
                    // ناموفق
                    $stp = 'نا موفق';
                    $amount = $tx[2];
                    $code = $tx[3];
                    $date = jdate('Y/m/d - H:i', $tx[4]);
                    $t = "$stp | مبلغ : {$amount} تومان\nشماره پیگیری ربات : {$code}\n{$date}\n-------\n";
                }
                break;
            case 'not_payment':
                $t = "شما پرداختی انجام نداده اید.";
                break;
            case 'last_order_title':
                $t = "10 سفارش اخیر شما :\n";
                break;
            case 'last_order':
                $en_status = [
                    'pending',
                    'processing',
                    'in progress',
                    'completed',
                    'canceled',
                    'partial'
                ];
                $fa_status = [
                    'در صف انتظار',
                    'در حال پردازش',
                    'در حال انجام',
                    'تکمیل',
                    'کنسل',
                    'ناقص'
                ];
                if ($tx[1] == 1) {

                    $result_api = $tx[2];
                    $result_api_fa = str_replace($en_status, $fa_status, $result_api);
                    $status = $tx[3]['status'];
                    $status_fa = str_replace($en_status, $fa_status, $status);
                    $code = $tx[3]['code'];
                    $code_api = $tx[3]['code_api']; 
                    $link = $tx[3]['link'];
                    $count = $tx[3]['count'];
                    $price = $tx[3]['price'];
                    $date = jdate('Y/m/d - H:i', $tx[3]['date']);
                    $sefaresh = $tx[3]['category'] . ' ' . $tx[3]['product'];
                    $t = "سفارش : {$sefaresh}\nوضعیت : {$result_api_fa} | کد پیگیری : {$code}\nاطلاعات : {$link} | تعداد : {$count} | هزینه : $price تومان\n{$date}\n-------\n";
                } else {

                    $status = $tx[2]['status'];
                    $status_fa = str_replace($en_status, $fa_status, $status);
                    $code = $tx[2]['code'];
                    $link = $tx[2]['link'];
                    $count = $tx[2]['count'];
                    $price = $tx[2]['price'];
                    $date = jdate('Y/m/d - H:i', $tx[2]['date']);
                    $sefaresh = $tx[2]['category'] . ' ' . $tx[2]['product'];
                    $t = "سفارش : {$sefaresh}\nوضعیت : {$status_fa} | کد پیگیری : {$code}\nاطلاعات : {$link} | تعداد : {$count} | هزینه : $price تومان\n{$date}\n-------\n";
                }
                break;
            case 'not_order':
                $t = "شما سفارشی ثبت نکرده اید.";
                break;
            case 'order_code':
                $t = "📍شماره پیگیری را وارد نمایید :";
                break;
            case 'pending':
                $t = "سفارش شما در صف انتظار است";
                break;
            case 'processing':
                $t = "سفارش شما در حال پردازش هست";
                break;
            case 'in progress':
                $t = "سفارش شما در حال انجام است";
                break;
            case 'completed':
                $t = "سفارش شما تکمیل شده است";
                break;
            case 'canceled':
                $t = "این سفارش لغو شده است";
                break;
            case 'partial':
                $t = "این سفارش به دلیل بروز مشکل کامل نشده و هزینه باقی مانده عودت داده شده است";
                break;
            case 'Unknown_status':
                $t = "وضعیت این سفارش نا مشخص است.";
                break;
            case 'wrong_code':
                $t = "شماره پیگیری اشتباه لطفا دوباره بفرستید";
                break;
            case 'price_info':
                $idbot = $tx[1];
                $t = "بخش مورد نظر خود را انتخاب کنید : 
■ تمامی قیمت ها بر حسب 1000 عدد میباشد.
■ قیمت بر حسب تومان میباشد.

@$idbot";
                break;
            case 'shop1':
                $t = "یک گزینه انتخاب کنید :";
                break;
            case 'off_buy':
                $t = "بخش خرید موقتا غیرفعال شده است";
                break;
            case 'shop2':
                $category = $tx[1];
                $t = "دسته انتخابی : $category\nیک گزینه انتخاب کنید :";
                break;
            case 'shop_justkey':
                $t = "لطفا از دکمه های ربات استفاده کنید";
                break;
            case 'shop3':
                $category = $tx[1];
                $product = $tx[2];
                $price = nformat($tx[3]);
                $price_once = nformat($tx[4]);
                $how_much = $tx[5];
                $min = $tx[6];
                $max = $tx[7];
                $info = $tx[8];
                if ($info !== null) {
                    $tt = "\nتوضیحات : \n $info";
                }else{
                    $tt = null;
                }
                $t = "نام محصول : {$category} | {$product}

قیمت : {$price} تومان | قیمت هر عدد : $price_once تومان
حداقل : {$min}
حداکثر : {$max}
$tt
🔸🔸🔹🔹🔸🔸🔹🔹
با موجودی فعلی شما میتوانید $how_much تعداد سفارش دهید
تعداد مورد نظر خود را از بازه {$min} تا {$max} بفرستید";
                break;
            case 'low_balance':
                $balance_required = $tx[1];
                $t = "موجودی حساب شما برای ثبت سفارش کافی نمی باشد.
هزینه ثبت این سفارش $balance_required تومان است پس از شارژ حساب اقدام نمایید.";
                break;
            case 'shop_range':
                $min = $tx[1];
                $max = $tx[2];
                $t = "لطفا عددی بین بازه {$min} - {$max} ارسال فرمایید";
                break;
            case 'shop5':
                $category = $tx[1];
                $product = $tx[2];
                $sefaresh = $category . ' ' . $product;
                $count = $tx[3];
                $link = $tx[4];
                $price = $tx[5];
                $t = "اطلاعات زیر را بررسی کرده و درصورت صحیح بودن تایید کنید

• سفارش : {$sefaresh}
• تعداد : {$count}
• اطلاعات : {$link}
• قیمت فاکتور : {$price}

درصورت تایید کردن امکان #لغو سفارش وجود ندارد";
                break;
            case 'shop_just_en':
                $t = "لطفا فقط از زبان انگلیسی استفاده کنید";
                break;
            case 'order_receipt':
                $category = $tx[1];
                $product = $tx[2];
                $sefaresh = $category . ' ' . $product;
                $first_name = $tx[3];
                $last_name = $tx[4];
                $user_name = $tx[5];
                $fid = $tx[6];
                $count = $tx[7];
                $link = $tx[8];
                $code = $tx[9];

                $price = $tx[10];
                $old_balance = $tx[11];
                $new_balance = $tx[12];
                $date = jdate('Y/m/d - H:i:s');
                if ($tx[13] !== 'noapi') {
                    // متن سفارشات وب سرویس
                    $code_api = $tx[13];
                    $api = $tx[14];
                    $tt = "\nکد پیگیری وب سرویس : $code_api\nوب سرویس : $api\n";
                    $t = "
❇️ سفارش  {$sefaresh}
ثبت شده توسط: <a href='tg://user?id={$fid}'>{$first_name}</a>
ایدی عددیش: <code>{$fid}</code>
تعداد درخواستی : {$count}
اطلاعات فرستاده شده : {$link}
کد پیگیری ربات : {$code}
$tt
قیمت فاکتور : {$price}
تاریخ ثبت : {$date}";
                } else {
                    $t = "❇️ سفارش  {$sefaresh}
ثبت شده توسط: <a href='tg://user?id={$fid}'>{$first_name}</a>
ایدی عددیش: <code>{$fid}</code>
تعداد درخواستی : {$count}
اطلاعات فرستاده شده : {$link}
کد پیگیری ربات : {$code}
قیمت فاکتور : {$price}
تاریخ ثبت : {$date}";
                }
                break;
            case 'order_receipt_channel':
                $category = $tx[1];
                $product = $tx[2];
                $count = $tx[3];
                $price = $tx[4];
                $date = jdate('Y/m/d - H:i:s');
                $idbot = $tx[5];
                $t = "✅ گزارش #خرید #موفق
‏__________________________________
⤵️ اطلاعات خرید :

▪️نام محصول : {$category}

▫️بسته انتخابی : {$product}

🔸تعداد : {$count}
🔹قیمت : {$price}
🔸تاریخ ثبت : {$date}
‏__________________________________
➊وارد ربات @{$idbot} شوید.
➋موجودی خود را افزایش دهید.
➌خدمات تلگرام و اینستاگرام بگیرید.
";
                break;
            case 'order_receipt_ok':
                $category = $tx[1];
                $product = $tx[2];
                $link = $tx[3];
                $count = $tx[4];
                $price = $tx[5];
                $code = $tx[6];
                $date = jdate('Y/m/d - H:i:s');
                if ($tx[7] !== 'noapi') {
                    // متن سفارشات وب سرویس
                    $code_api = $tx[7];
                    $t = "✅ سفارش شما با موفقیت #ثبت شد.

• لینک : {$link}
• تعداد : {$count}
• زمان انجام سفارش 1 الی 48 ساعت میباشد 
• لطفا صبور باشید
• کد پیگیری شما : <code>{$code}</code>
• زمان ثبت : {$date}";
                } else {
                    $t = "✅ سفارش شما با موفقیت #ثبت شد.

• لینک : {$link}
• تعداد : {$count}
• زمان انجام سفارش 1 الی 48 ساعت میباشد 
• لطفا صبور باشید
• کد پیگیری شما : <code>{$code}</code>
• زمان ثبت : {$date}";
                }

                break;
            case 'error_order':
                $t = "با عرض پوزش مشکلی پیش امده دوباره تلاش کنید";
                break;
            case 'not_product':
                $t = "محصول مورد نظر موقتا غیرفعال شده است";
                break;
            case 'support_pm2':
                $text = $tx[1];
                $t = "👤یک پیام از پشتیبان برای شما :\n$text";
                break;
            case 'up_coin':
                $amount = $tx[1];

                $t = "کاربر عزیز\n{$amount} تومان از طرف مدیریت به حساب شما انتقال داده شد.";
                break;
            case 'do_coin':
                $amount = $tx[1];

                $t = "کاربر عزیز\n{$amount} تومان از طرف مدیریت از حساب شما کسر شد";
                break;
            case 'payment_out_ok':

                $t = "درخواست برداشت شما انجام شد و به حساب شما واریز شد";
                break;
            case 'cancel_payment_out':

                $t = "کاربر گرامی درخواست برداشت شما لغو شد و موجودی به حساب شما بازگردانده شد.";
                break;
            case 'order_go':
                $order_info = $tx[1];
                $code = $order_info['code'];
                $channel = $tx[2];
                $time = jdate('H:i:s');
                $date = jdate('Y/m/d');
                if ($order_info['api'] !== 'noapi') {
                    // متن سفارشات وب سرویس
                    $code_api = $order_info['code_api'];
                    $t = "✅ سفارش شما تایید و به زودی #انجام خواهد شد

📝 کد پیگیری سفارش : <code>{$code}</code>

باتشکر از اعتماد شما 🌹

🆔 @{$channel}
----------
⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                } else {
                    $t = "✅ سفارش شما تایید و به زودی #انجام خواهد شد

📝 کد پیگیری سفارش : <code>{$code}</code>

باتشکر از اعتماد شما 🌹

🆔 @{$channel}
----------
⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                }
                break;
            case 'order_confirmation':
                $order_info = $tx[1];
                $code = $order_info['code'];
                $channel = $tx[2];
                $time = jdate('H:i:s');
                $date = jdate('Y/m/d');
                if ($order_info['api'] !== 'noapi') {
                    // متن سفارشات وب سرویس
                    $code_api = $order_info['code_api'];
                    $t = "✅ سفارش شما با موفقیت #تکمیل شد.

📝 کد پیگیری سفارش : <code>{$code}</code>

باتشکر از اعتماد شما 🌹

🆔 @{$channel}
----------
⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                } else {
                    $t = "✅ سفارش شما با موفقیت #تکمیل شد.
📝 کد پیگیری سفارش : <code>{$code}</code>
                    
باتشکر از اعتماد شما 🌹
                    
🆔 @{$channel}
----------
⚠️ توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                }
                break;
            case 'order_cancel':
                $order_info = $tx[1];
                $code = $order_info['code'];
                $amount = nformat($order_info['price']);
                $channel = $tx[2];
                $time = jdate('H:i:s');
                $date = jdate('Y/m/d');
                if ($order_info['api'] !== 'noapi') {
                    // متن سفارشات وب سرویس
                    $code_api = $order_info['code_api'];
                    $t = "❎ سفارش شما #لغو شد.
📝 کد پیگیری سفارش : <code>{$code}</code>

مبلغ {$amount} تومان به حساب شما عودت داده شد.

🆔 @{$channel}
----------
⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                } else {
                    $t = "❎ سفارش شما #لغو شد.
📝 کد پیگیری سفارش : <code>{$code}</code>

مبلغ {$amount} تومان به حساب شما عودت داده شد.

🆔 @{$channel}
----------
⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                }
                break;
            case 'order_partial':
                $order_info = $tx[1];
                $code = $order_info['code'];
                $back = nformat($tx[2]);
                $channel = $tx[3];
                $time = jdate('H:i:s');
                $date = jdate('Y/m/d');
                if ($order_info['api'] !== 'noapi') {
                    // متن سفارشات وب سرویس
                    $code_api = $order_info['code_api'];
                    $t = "
💹 سفارش شما به دلیل بروز مشکل کامل انجام نشد.
📝 کد پیگیری سفارش : <code>{$code}</code>

مبلغ باقی مانده از سفارش {$back} به حساب شما عودت داده شد.

🆔 @{$channel}
----------
⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.
";
                } else {
                    $t = "💹 سفارش شما به دلیل بروز مشکل کامل انجام نشد.
                    📝 کد پیگیری سفارش : <code>{$code}</code>
                    
                    مبلغ باقی مانده از سفارش {$back} به حساب شما عودت داده شد.
                    
                    🆔 @{$channel}
                    ----------
                    ⚠️توجه : این گزارش در ساعت  {$time} و تاریخ {$date} دریافت شده است.";
                }
                break;
            case 'ok_payment':
                $pay = $tx[1];
                $Amount = $tx[2];
                $balanceold = $tx[3];
                $balancenew = $balanceold + $Amount;
                $payment = $tx[4]; // نام درگاه
                $channel = $tx[5];
                $t = "✅ تراکنش شما با #موفقیت انجام شد

• شماره پیگیری درگاه : <code>$pay</code> 
• مبلغ پرداختی : $Amount  
• موجودی قبلی : $balanceold 
• موجودی جدید : $balancenew

با تشکر از اعتماد شما 🌹
@$channel";
                break;
            case 'cancel_payment':
                $t = "تراکنش به دلایل زیر لغو نشد 

▪︎ شما از پرداخت منصرف شدید 
▪︎ پرداخت شما با شماره کارت ثبت شده انجام نشده است";
                break;
            case 'not_pay_payment':
                $t = "تراکنش انجام نشد";
                break;

            case 'not_pay_payment_card':
                $t = "تراکنش با کارت احراز شده پرداخت نشده است برای اطلاعات بیشتر با پشتیبانی ارتباط داشته باشید";
                break;
            case 'error_payment':
                $t = "خطا رخ داده است";
                break;
            case 'refral_gift_payment':
                $fid = $tx[1];
                $name = $tx[2];
                $Amount = $tx[3];
                $gifi = $tx[4];
                $t = "زیر مجموعه شما <a href = 'tg://user?id=$fid'>$name</a> مقدار $Amount حساب خود را شارژ کرده و مقدار $gifi پورسانت برای شما واریز شد";
                break;
            case 'gift_one':
                $gift = $tx[1];
                $t = "$gift تومان به عنوان هدیه به حساب شما واریز شد.";
                break;
            case 'ok_commission':
                $commission = $tx[1];
                $t = "یک کاربر با کد شما وارد ربات شده است درصورت تایید شماره به ازای هر مقدار شارژ $commission درصد آن برای شما اضافه میشود.";
                break;
            case 'delay_time_sms':
                $time = $tx[1] - time();
                $t = "یک پیام برای شما ارسال شده است.لطفا کد را وارد کنید.
                درصورتی که پیام برای شما ارسال نشده است لطفا $time ثانیه بعد تلاش کنید.";
                break;
            case 'ok_number':
                $contactuser = $tx[1];
                $fid = $tx[2];
                $first_name = $tx[3];
                $last_name = $tx[4];
                $time = jdate('Y/m/d - H:i');
                $t = "شماره : <code>$contactuser</code>
                ایدی : <code>$fid</code>
                اسم : <a href ='tg://user?id=$fid'>$first_name</a>
                تاریخ ثبت نام : $time";
                break;
            case 'send_msg':
                $t = 'پیام خود را ارسال کنید';
                break;
            case 'verify_msg':
                $t = '
                دوست عزیز به دلیل بالا بودن مبلغ واریزی و امنیت بیشتر و جلوگیری از پرداخت های فیشینگ میبایست یک کارت را احراز کنید

لطفا عکس یک کارت بانکی که قصد دارید تراکنش های خودتون را با آن کارت انجام بدید ارسال کنید داخل عکس میتوانید موارد امنیتی از جمله CVV2 ، تاریخ انقضاح را بپوشانید
';
                break;
            case 'just_card':
                $card = $tx[1];
                $t = "دوست عزیز برای پرداخت حتما از کارت ثبت شده واریز کنید در غیر اینصورت پرداخت شما تکمیل نخواهد شد\nشماره کارت مجاز :$card";
                break;
            case 'send_verify_ok':
                $t = 'ارسال شد نتیجه تایید تا دقایقی دیگر اعلام میشود';
                break;
            case 'ok_gift_out':
                $code = $tx[1];
                $fid = $tx[2];
                $first_name = $tx[3];
                $last_name = $tx[4];
                $req = $tx[5];
                $info = $tx[6];
                $time = jdate('Y/m/d - H:i');
                $t = "در خواست برداشت درآمد <code>{$code}</code>
                            نام : <a href ='tg://user?id=$fid'>$first_name</a>
                            ایدی عددی : <code>$fid</code>
                            میزان درخواست : {$req}
                            اطلاعات فرستاده شده : {$info}
                            زمان ثبت : $time";
                break;
            case 'not_category':
                $t = 'محصولی برای نمایش وجود ندارد';
                break;
            case 'not_product':
                $t = 'محصولی برای نمایش وجود ندارد';
                break;
            case 'fast_order_int':
                $t = "لطفا برای سفارش سریع فقط عدد محصول را ارسال کنید";
                break;
            case 'result_order_inline':
                $status = $tx[1];
                $en_status = [
                    'pending',
                    'processing',
                    'in progress',
                    'completed',
                    'canceled',
                    'partial'
                ];
                $fa_status = [
                    'در صف انتظار',
                    'در حال پردازش',
                    'در حال انجام',
                    'تکمیل',
                    'کنسل',
                    'ناقص'
                ];

                $status_fa = str_replace($en_status, $fa_status, $status);

                $t = 'وضعیت سفارش : ' . $status_fa;
                break;
            case 'fast_order_help':
                $t = "\nبا کلیک برروی هر محصول مشخصات آن محصول را مشاهده کنید\nبرای سفارش سریع هر محصول میتوانید عدد آن را ارسال کنید";
                break;
            case 'inline_order_info':
                $price = $tx[1];
                $min = $tx[2];
                $max = $tx[3];
                $id = $tx[4];

                $t = "قیمت :" . $price . " تومان  حداقل : " . $min . " حداکثر : " . $max . "\nسفارش سریع : $id";
                break;
            case 'block':
                $t = 'اکانت شما مسدود شده است برای اطلاعات بیشتر به پشتیبانی مراجعه کنید.';
                break;
            case 'unblock':
                $t = 'اکانت شما رفع مسدودیت شد';
                break;
            case 'no_verify':
                $t = 'اطلاعات ارسالی مورد قبول نمیباشد';
                break;
            case 'ok_verify':
                $card = $tx[1];
                $t = "کارت شما به شماره : $card ثبت شد.\nلطفا فقط از این کارت برای پرداخت استفاده نمایید";
                break;
                case 'spam' :
                    $time_block_spam = $tx[1];
                    $t = "به دلیل اسپم ربات به مدت $time_block_spam ثانیه از ربات مسدود شده اید";
                    break;
                case 'desc_payment' :
                    $fid = $tx[1];
                    $name = $tx[2];
                    $payment = $tx[3]; // نام درگاه
                    $t = "افزاش موجودی کاربر : $name | $fid";
                    break;
            default:
                $t = 'انتخاب کنید ❌';
                break;
        }
        return $t;
    }
}
